
# The MIT License (MIT)
#
# Copyright (c) 2017 Christian Carlowitz
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


try:
    import freedomgfx
    from plussy import plussyctlv2

except ImportError:

	# note: the following code uses proprietary GUI library and should
	# not be used normally.
    import ugfx
    ugfx.init()
    ugfx.string(10,10,"Note: Your badge firmware lacks the freedomgfx module.", "Robot_Regular12", 0)
    ugfx.string(10,10+12,"Please update to latest version. For questions, call 2442.", "Robot_Regular12", 0)
    ugfx.string(10,10+12*3,"Background: uGFX is a proprietary library and thus cannot", "Robot_Regular12", 0)
    ugfx.string(10,10+12*4,"be used in the free world.", "Robot_Regular12", 0)
    ugfx.flush()
    
		
